MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024716Open CASCADE[OCCT] OCCT:Foundation Classespublic2014-03-12 18:062015-08-03 20:55
Reporterapl 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024716: OSD_Path - remove excessive validity checks and allow non-ascii strings
DescriptionThe non-windows version of OSD_Path performs validity checks for its input string passed on construction. The checks reject non-ascii strings and strings with characters, which are not supported by target filesystem of the platform.
It is proposed to disable the checks to allow non-ascii, utf8 strings to be used for UNIX platforms.
The check for validness OSD_Path::IsValid method can be declared as static and used in application code, where necessary, in order to reject the strings before initializing OSD_Path class.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0022484closedbugmaster UNICODE characters support. 
related to 0026514closedbugmaster OSD_Path can not work with French symbols in file name. 

-  Notes
(0032623)
git (administrator)
2014-10-03 13:10

Branch CR24716 has been updated forcibly by pdn.

SHA-1: ec074942312d45ae0be241338c1bd49fb036e239
(0032624)
pdn (developer)
2014-10-03 13:10

Please review
(0032740)
abv (manager)
2014-10-06 19:33

No remarks, please test
(0032746)
git (administrator)
2014-10-06 21:05

Branch CR24716 has been updated forcibly by mkv.

SHA-1: 066e24be7e6337b7c49208f7f8de3848c63f1362
(0032759)
mkv (tester)
2014-10-07 13:23

Dear BugMaster,
Branch CR24716 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 066e24be7e6337b7c49208f7f8de3848c63f1362

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)
MacOS: 199 (199 on master)

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 397173544 / 398004436
Total CPU difference: 47263.66000000005 / 47309.68000000025
products component :
Total MEMORY difference: 127669964 / 127746172
Total CPU difference: 16905.589999999964 / 17659.07999999997

Testing on Windows:
occt component :
Total MEMORY difference: 278957756 / 278279728
Total CPU difference: 34403.640625 / 32988.78125
products component :
Total MEMORY difference: 70918472 / 69863200
Total CPU difference: 10803.390625 / 10857.546875

There are no differences in images found by testdiff.
(0033431)
git (administrator)
2014-10-21 16:42

Branch CR24716 has been deleted by inv.

SHA-1: 066e24be7e6337b7c49208f7f8de3848c63f1362

- Related Changesets
occt: master 30d33e71
Timestamp: 2014-03-12 15:46:38
Author: apl
Committer: bugmaster
Details ] Diff ]
0024716: OSD_Path - remove excessive validity checks and allow non-ascii strings

First commit. Update for new IR
mod - src/OSD/OSD_Path.cdl Diff ] File ]
mod - src/OSD/OSD_Path.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-03-12 18:06 apl New Issue
2014-03-12 18:06 apl Assigned To => apl
2014-03-12 18:07 apl Status new => assigned
2014-04-04 18:09 abv Target Version 6.7.1 => 6.8.0
2014-09-24 15:01 kgv Relationship added related to 0022484
2014-10-03 12:22 pdn Assigned To apl => pdn
2014-10-03 13:10 git Note Added: 0032623
2014-10-03 13:10 pdn Note Added: 0032624
2014-10-03 13:10 pdn Assigned To pdn => abv
2014-10-03 13:10 pdn Status assigned => resolved
2014-10-06 19:33 abv Note Added: 0032740
2014-10-06 19:33 abv Assigned To abv => bugmaster
2014-10-06 19:33 abv Status resolved => reviewed
2014-10-06 21:02 mkv Assigned To bugmaster => mkv
2014-10-06 21:05 git Note Added: 0032746
2014-10-07 13:23 mkv Note Added: 0032759
2014-10-07 13:23 mkv Assigned To mkv => bugmaster
2014-10-07 13:23 mkv Status reviewed => tested
2014-10-07 13:24 mkv Test case number => Not needed
2014-10-13 17:52 bugmaster Changeset attached => occt master 30d33e71
2014-10-13 17:52 bugmaster Status tested => verified
2014-10-13 17:52 bugmaster Resolution open => fixed
2014-10-21 16:42 git Note Added: 0033431
2014-11-11 12:43 aiv Fixed in Version => 6.8.0
2014-11-11 13:01 aiv Status verified => closed
2015-08-03 20:55 kgv Relationship added related to 0026514


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker